Page MenuHomePhabricator

E_WL and Virtualbox
Closed, ResolvedPublic

Description

Hangs on start.

Strace

ApB created this task.Feb 2 2017, 7:34 AM
ManMower triaged this task as TODO priority.Feb 2 2017, 7:40 AM

Ok, so I've looked through the strace and there's some funny business in it, but it looks like the problem is:
we call setcrct - it succeeds
we follow with page flip - it EINVALs

so either we're flipping to an fb that has different format (size, stride, whatever) from the setcrtc, or their kms driver is being anti-social.

I'm pretty sure the path we're hitting is in ecore_drm2_fb.c's ecore_drm2_fb_flip which does a conditional setcrtc and immediately follow with exactly the same pageflip - if that's the case we should never fail anywhere.

I've triaged as TODO... I have no idea when I'll get a chance to set up a vm and investigate, and I'm thinking there's a very high likelihood that this is a kms/drm bug in vbox.

ManMower removed ManMower as the assignee of this task.Feb 14 2019, 12:12 PM
ManMower added a subscriber: ManMower.
ApB closed this task as Resolved.Feb 15 2019, 2:46 AM
ApB claimed this task.

This works with the new display driver.